<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 70;

$sightsArray = array();

$longName = 'Raumübersicht';
$tool_id = 34;
$toolName = 'MaRaumbelegung';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Raumübersicht';
$sight->id = 'Raumbelegung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Raum';
$sight->id = 'Raum';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter - Raumübersicht';
$sight->id = 'RaumbelegungFilter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumUebersichtFilter\RaumUebersichtFilterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Hausmeisterlisten';
$sight->id = 'ShowSettingsHmListen';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\PdfListen\Hausmeisterlisten\Einstellungen\ShowSettingsHmListenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Raumdetails';
$sight->id = 'Raumdetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\RaumDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan';
$sight->id = 'GebaeudeGrafik';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan Tabellenzeile';
$sight->id = 'GebaeudeGrafikRow';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Zeilenbeginn';
$sight->nameBody = 'Zellenbeginn';
$sight->nameFooter = 'Zellenende';
$sight->nameNoData = 'Zeilenende';
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan Tabelleneintrag';
$sight->id = 'GebaeudeGrafikEntry';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Beginn';
$sight->nameBody = 'Inhalt';
$sight->nameFooter = 'Ende';
$sight->showNoData = false;
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\KuferTools\Basis\GebaeudeGrafik\GebauedeGrafikEntryView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Raumdetails';
$sight->id = 'ReiterRaumdetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\RaumDetails\ReiterRaumDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurse';
$sight->id = 'Kurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Kurse\KursView(null);
array_push($sightsArray, $sight);


$sight = new SightItemTool();
$sight->name = 'Kurse-Reiter';
$sight->id = 'ReiterKurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Kurse\ReiterKurseView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Termine';
$sight->id = 'ReiterTermine';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine\ReiterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin';
$sight->id = 'Termin';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine\TerminView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Termine';
$sight->id = 'FilterTermine';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Details - Reiter';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine';
$sight->id = 'RaumGrafik';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->view = new \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\RaumGrafik\RaumGrafikView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine (Zeilen)';
$sight->id = 'RaumGrafikRow';
$sight->toolid = 'MaRaumbelegung';
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->nameHeader = 'Kopfzeile Tag';
$sight->nameBody = 'Kopfzeile Zelle';
$sight->nameFooter = 'Fußzeile Zelle';
$sight->nameNoData = 'Fußzeile Tag';
$sight->view = new \Kufer\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine (Einträge)';
$sight->id = 'RaumGrafikEntry';
$sight->toolid = 'MaRaumbelegung';
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->view = new \Kufer\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikEntryView(null);
array_push($sightsArray, $sight);